gnutls_x509_aki_get_id(3)

NAME
gnutls_x509_aki_get_id - API function

SYNOPSIS
#include <gnutls/x509-ext.h>

int gnutls_x509_aki_get_id(gnutls_x509_aki_t aki, gnutls_datum_t * id);

ARGUMENTS

gnutls_x509_aki_t aki
    The authority key ID

gnutls_datum_t * id
    Will hold the identifier

DESCRIPTION
This function will return the key identifier as stored in the aki type. The identifier should be treated as constant.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE if the index is out of bounds, otherwise a negative error value.

SINCE
3.3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/